Request deposit refund
Return held deposits to a partner-supplied refund address after asynchronous eligibility checks. Requires a server key.
POST
/
v1
/
standing-deposit-addresses
/
{ref}
/
resolve
Request deposit refund
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"batchId": "<string>",
"refundAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({batchId: '<string>', refundAddress: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve"
payload = {
"batchId": "<string>",
"refundAddress": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"batchId": "<string>",
"status": "refund_requested"
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Headers
Minimum string length:
1Path Parameters
Required string length:
1 - 128Body
application/json
Was this page helpful?
⌘I
Request deposit refund
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"batchId": "<string>",
"refundAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({batchId: '<string>', refundAddress: '<string>'})
};
fetch('https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/standing-deposit-addresses/{ref}/resolve"
payload = {
"batchId": "<string>",
"refundAddress": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"batchId": "<string>",
"status": "refund_requested"
}